Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression.spel.ast
Class RealLiteral

    java.lang.Object
      org.springframework.expression.spel.ast.SpelNodeImpl
          org.springframework.expression.spel.ast.Literal
              org.springframework.expression.spel.ast.RealLiteral

All Implemented Interfaces:
  SpelNode

    public class RealLiteral

extends Literal

Since:
  3.0
Author:
  Andy Clement

Field Summary

Fields inherited from class org.springframework.expression.spel.ast.Literal
`literalValue`

Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`children, pos`

Constructor Summary
`RealLiteral(String payload, int pos, double value)`

Method Summary
`TypedValue` | `getLiteralValue()`

Methods inherited from class org.springframework.expression.spel.ast.Literal
`getIntLiteral, getLongLiteral, getRealLiteral, getValueInternal, toString, toStringAST`

Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl
`getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, isWritable, nextChildIs, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealLiteral

    public RealLiteral(String payload,
                       int pos,
                       double value)

Method Detail

### getLiteralValue

    public TypedValue getLiteralValue()

  Specified by:
    `getLiteralValue` in class `Literal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD